package cn.wisenergy.mapper;

import cn.wisenergy.model.app.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 86187
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

    /**
     * 获取后台账户信息
     *
     * @param id 用户主键id
     * @return 后台账户信息
     */
    SysUser getById(@Param("id") Integer id);

    /**
     * 更据账户，获取后台用户信息
     *
     * @param account 账户
     * @return 后台用户信息
     */
    SysUser getByAccount(@Param("account") String account);
}
